Subject: RE: pthread_mutex_trylock does not lock
From: Robert Collins <[email-masked]>
To: Christophe Galerne <[email-masked]>
Cc: cygwin <[email-masked]>
Date: 05 Dec 2002 18:54:01 +1100

On Thu, 2002-12-05 at 08:33, Christophe Galerne wrote:
> Robert Collins wrote:
>  > On Tue, 2002-12-03 at 23:06, Chris Knight wrote:
>  > > Hello Rob,
>  > >
>  > > I have changed the code, see below.  I now set the type to
>  > > PTHREAD_MUTEX_NORMAL but that also does not block.  The only documentation
>  > > on cygwin threads say this is the same as PTHREAD_MUTEX_FAST_NP
>  >
>  > What documentation says that?
> 
> This
> www.opengroup.org/onlinepubs/7908799/xsh/pthread_mutexattr_settype.html
> seems to explain that a PT_MUTEX_NORMAL mutex should behave the way Chris
> expect.

Oh, and more specifically, what documentation says that 'cygwin threads
using PTHREAD_MUTEX_NORMAL are the same as _PTHREAD_MUTEX_FAST_NP'.

I never said that PTHREAD_MUTEX_NORMAL does not block, I was challenging
the apparent 'cygwin threads' documentation.

Rob

-- 
---
GPG key available at: http://users.bigpond.net.au/robertc/keys.txt.
---